# Clickatell::Catcher::Rack

[![Build Status](https://travis-ci.org/grantspeelman/clickatell-catcher-rack.svg?branch=master)](https://travis-ci.org/grantspeelman/clickatell-catcher-rack)

Simple Lightweight rack app the allows for a local sandbox clickatell enviroment.
This Rack app emulates some of the [Clickatells api](https://www.clickatell.com/help/apidocs/)

## Installation

Add this line to your application's Gemfile:

```ruby
group :development do
    gem 'clickatell-catcher-rack'
end
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install clickatell-catcher-rack

## Usage

using in rails add a initializers file with the following:

```ruby
  if Rails.env.development?
      require 'clickatell/catcher/rack'
      Rails.application.configure do
        config.middleware.use Clickatell::Catcher::Rack::Middleware, logger: Rails.logger
      end
  end
```
or for other rack apps add the following to your config.ru

```ruby
  require 'clickatell/catcher/rack'
  use Clickatell::Catcher::Rack::Middleware
```

Now in development mode you can point you clickatell sms code at `http://localhost:3000/rest/message` and
visit `http://localhost:3000/rest/message` to see the messages.
Suggested a config to be able to switch between `https://api.clickatell.com/rest/message` and `http://localhost:3000/rest/message`

## Plans

* Standalone Version
* Support for some of the [Error codes](https://www.clickatell.com/help/apidocs/error/List_of_Error_Codes.htm)

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bundle exec rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/grantspeelman/clickatell-catcher-rack.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

